namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class IntegerValue : IDisposable {
        
        private DataAccess _dataAccess;
        
        public IntegerValue() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet INTEGER_VALUE_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_INTEGER_VALUE_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet INTEGER_VALUE_Select_One(System.Nullable<System.Guid> INT_VAL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_INTEGER_VALUE_Select_One");
            this._dataAccess.AddParameter("INT_VAL_ID", INT_VAL_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> INTEGER_VALUE_Insert(System.Nullable<int> INT_VAL_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_INTEGER_VALUE_Insert");
            this._dataAccess.AddParameter("INT_VAL_VALUE", INT_VAL_VALUE, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> INTEGER_VALUE_Delete(System.Nullable<System.Guid> INT_VAL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_INTEGER_VALUE_Delete");
            this._dataAccess.AddParameter("INT_VAL_ID", INT_VAL_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> INTEGER_VALUE_Update(System.Nullable<System.Guid> INT_VAL_ID, System.Nullable<int> INT_VAL_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_INTEGER_VALUE_Update");
            this._dataAccess.AddParameter("INT_VAL_ID", INT_VAL_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("INT_VAL_VALUE", INT_VAL_VALUE, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
