namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class ModuleParameter : IDisposable {
        public virtual bool MODULE_PARAMETER_Exists(string ParameterName , System.Nullable<System.Guid> ModuleId)
        {
            this._dataAccess.CreateProcedureCommand("ExistsModuleParameterByNameAndModule");
            this._dataAccess.AddParameter("paramName",ParameterName , ParameterDirection.Input);
            this._dataAccess.AddParameter("moduleId", ModuleId, ParameterDirection.Input);
            object value = this._dataAccess.ExecuteScalar();
            if (value.ToString() == "1")
                return true;
            else
                return false;
        }

        public virtual DataSet MODULE_PARAMETER_Find(string ParameterName, System.Nullable<System.Guid> ModuleId)
        {
            this._dataAccess.CreateProcedureCommand("sp_MODULE_PARAMETER_FindByNameAndModule");
            this._dataAccess.AddParameter("paramName", ParameterName, ParameterDirection.Input);
            this._dataAccess.AddParameter("moduleId", ModuleId, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
    }
}
