namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class ValueType : IDisposable {
        
        private DataAccess _dataAccess;
        
        public ValueType() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet VALUE_TYPE_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_VALUE_TYPE_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet VALUE_TYPE_Select_One(System.Nullable<System.Guid> VAL_TYP_ID) {
            this._dataAccess.CreateProcedureCommand("sp_VALUE_TYPE_Select_One");
            this._dataAccess.AddParameter("VAL_TYP_ID", VAL_TYP_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> VALUE_TYPE_Insert(string VAL_TYP_CODE, string VALUE_TYPE_DESCRIPTION) {
            this._dataAccess.CreateProcedureCommand("sp_VALUE_TYPE_Insert");
            this._dataAccess.AddParameter("VAL_TYP_CODE", VAL_TYP_CODE, ParameterDirection.Input);
            this._dataAccess.AddParameter("VALUE_TYPE_DESCRIPTION", VALUE_TYPE_DESCRIPTION, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> VALUE_TYPE_Delete(System.Nullable<System.Guid> VAL_TYP_ID) {
            this._dataAccess.CreateProcedureCommand("sp_VALUE_TYPE_Delete");
            this._dataAccess.AddParameter("VAL_TYP_ID", VAL_TYP_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> VALUE_TYPE_Update(System.Nullable<System.Guid> VAL_TYP_ID, string VAL_TYP_CODE, string VALUE_TYPE_DESCRIPTION) {
            this._dataAccess.CreateProcedureCommand("sp_VALUE_TYPE_Update");
            this._dataAccess.AddParameter("VAL_TYP_ID", VAL_TYP_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("VAL_TYP_CODE", VAL_TYP_CODE, ParameterDirection.Input);
            this._dataAccess.AddParameter("VALUE_TYPE_DESCRIPTION", VALUE_TYPE_DESCRIPTION, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
