namespace IrisGenerator.Common.DatabaseModel.DataAccess
{
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    using IrisGenerator.Dal;
    
    
    public partial class UpdateColumns : IDisposable {
        
        private DataAccess _dataAccess;
        
        public UpdateColumns() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet Select_UPDATE_COLUMNS_By_COL_ID(System.Nullable<System.Guid> COL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_UPDATE_COLUMNS_By_COL_ID");
            this._dataAccess.AddParameter("COL_ID", COL_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet Select_UPDATE_COLUMNS_By_REQ_ID(System.Nullable<System.Guid> REQ_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_UPDATE_COLUMNSs_By_REQ_ID");
            this._dataAccess.AddParameter("REQ_ID", REQ_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet UPDATE_COLUMNS_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_UPDATE_COLUMNS_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet UPDATE_COLUMNS_Select_One(System.Nullable<System.Guid> REQ_ID, System.Nullable<System.Guid> COL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_UPDATE_COLUMNS_Select_One");
            this._dataAccess.AddParameter("REQ_ID", REQ_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("COL_ID", COL_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<int> UPDATE_COLUMNS_Insert(System.Nullable<System.Guid> REQ_ID, System.Nullable<System.Guid> COL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_UPDATE_COLUMNS_Insert");
            this._dataAccess.AddParameter("REQ_ID", REQ_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("COL_ID", COL_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> UPDATE_COLUMNS_Delete(System.Nullable<System.Guid> REQ_ID, System.Nullable<System.Guid> COL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_UPDATE_COLUMNS_Delete");
            this._dataAccess.AddParameter("REQ_ID", REQ_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("COL_ID", COL_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
