﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace IrisGenerator.Common.Core.UI
{
    public class VerticalMenuItem<T>
    {

        #region .ctor

        public VerticalMenuItem(T obj)//ModuleBase m)
        {
            //_module = m;
            this.Value = obj;
        }

        #endregion

        public T Value { get; set; }

        #region Fields

//        private ModuleBase _module;
        private Rectangle _clipRectangle;
        private bool _selected;
        private bool _hover;

        #endregion

        #region Properties

        //public ModuleBase Module
        //{
        //    get { return _module; }
        //    set { _module = value; }
        //}

        public Rectangle ClipRectangle
        {
            get { return _clipRectangle; }
            set { _clipRectangle = value; }
        }


        public bool Selected
        {
            get { return _selected; }
            set { _selected = value; }
        }

        public bool Hover
        {
            get { return _hover; }
            set { _hover = value; }
        }

        #endregion

    }
}
