﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Common.Modules
{
    [global::System.AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class ModuleDescriptionAttribute : Attribute
    {
        public ModuleDescriptionAttribute(string description)
        {
            this.Description = description;
        }

        public string Description { get; private set; }

    }
}
