﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Common.Modules
{
    [global::System.AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class ModuleTargetAttribute : Attribute
    {
        public string Code { get; private set; }
        public string Name { get; private set; }
        public string Description { get; private set; }

        public ModuleTargetAttribute(string code)
        {
            this.Code = code;
        }
        public ModuleTargetAttribute(string code,string name,string description)
        {
            this.Code = code;
            this.Name = name;
            this.Description = description;
        }
    }
}
