﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IrisGenerator.Common.Core;


namespace IrisGenerator.Common.UI.Controls.ListItems
{
    public class TargetListItem
    {
        public Guid? TargetId { get; set; }
        public string TargetCode { get; set; }

        public TargetListItem(Target target)
        {
            this.TargetId = target.TarId;
            this.TargetCode = target.TarCode;
        }

        public TargetListItem(Guid? id, string code)
        {
            this.TargetId = id;
            this.TargetCode = code;
        }
    }
}
