﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using IrisGenerator.Common.Core;
using System.ComponentModel;

namespace IrisGenerator.Common.UI.Controls.ListItems
{
    public class TargetListItemCollection:BindingList<TargetListItem>
    {
        public static TargetListItemCollection GetAllItems()
        {
            TargetListItemCollection returnValue = new TargetListItemCollection();
            returnValue.Add(new TargetListItem(Guid.Empty, "Select a target"));

            TargetCollection col = Target.GetAll();

            foreach (Target target in col)
            {
                returnValue.Add(new TargetListItem(target));
            }

            return returnValue;
        }
    }
}
