﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using IrisGenerator.Common.Core.UI;
using IrisGenerator.Common.Modules;
using IrisGenerator.Common.Core;
using IrisGenerator.Common.UI.XmlConfiguration;
using IrisGenerator.Framework.Reflection;

namespace IrisGenerator.Common.UI.Controls.Lists
{
    public class ModuleList:ListBase<Module>
    {
         /// <summary>
        /// .ctor
        /// </summary>
        public ModuleList()
            : base()
        {
            
            this.SourceMethod = new MethodCall();
            this.SourceMethod.MethodName = "GetAll";
            this.SourceMethod.TypeName = "IrisGenerator.Common.Modules.Module";
            this.BindingType = "IrisGenerator.Common.Core.ConnectedCollectionBase`1";
            
            InitializeGrid();
        }

        private void InitializeGrid()
        {
            this.Name = "ModuleList";

            XmlConfigFileReader.ConfigFilePath = @"C:\Personnel\Developpement\Code Generator 2008\IrisGenerator\IrisGenerator.Common\ControlsConfigFile.xml";
            XmlConfigFileReader.LoadConfiguration(this);
            
            
        }
    }
}
