﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IrisGenerator.Framework.UI.Controls;
using IrisGenerator.Common.Core.Projects;

namespace IrisGenerator.Common.UI.Controls.Menus
{
    public class ProjectToolStripComboBox:BindableToolStripComboBox<Project>
    {
        public ProjectToolStripComboBox()
            : base()
        {
            this.SourceMethod = new IrisGenerator.Framework.Reflection.MethodCall();
            this.SourceMethod.MethodName = "GetAll";
            this.SourceMethod.TypeName = "IrisGenerator.Common.Core.Projects.Project";
            this.TextDataMember = "ProName";
            try
            {

                this.LoadSource();
            }
            catch
            {
                throw;
            }
        }
    }
}
