﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Framework.Events
{
    public class BaseEventArgs<T>:EventArgs
    {
        public T Argument { get; protected set; }
        public bool Cancel { get; set; }
        public bool FireMessage { get; private set; }


        public BaseEventArgs(T argument,bool fireMessage)
        {
            this.Argument = argument;
            this.FireMessage = fireMessage;
        }
    }
}
