﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace IrisGenerator.Framework.Messaging
{
    public static class DefaultButton
    {
        public static MessageDefaultButton ConvertFrom(MessageBoxDefaultButton value)
        {
            switch (value)
            {
                case MessageBoxDefaultButton.Button1:
                    return MessageDefaultButton.Button1;
                    
                case MessageBoxDefaultButton.Button2:
                    return MessageDefaultButton.Button2;
                    
                case MessageBoxDefaultButton.Button3:
                    return MessageDefaultButton.Button3;
                    
                default:
                    return MessageDefaultButton.Button1;
                    
            }
        }
        public static MessageDefaultButton ConvertFrom(int value)
        {
            switch (value)
            {
                case 1:
                    return MessageDefaultButton.Button1;
                case 2:
                    return MessageDefaultButton.Button2;
                case 3:
                    return MessageDefaultButton.Button1;
                default:
                    return MessageDefaultButton.Button1;
            }
        }
        public static MessageDefaultButton ConvertFrom(string value)
        {
            return (MessageDefaultButton)Enum.Parse(typeof(MessageDefaultButton), value);
        }

        public static MessageBoxDefaultButton ConvertToMessageBoxDefaultButton(MessageDefaultButton defaultButton)
        {
            switch (defaultButton)
            {
                case MessageDefaultButton.Button1:
                    return MessageBoxDefaultButton.Button1;
                case MessageDefaultButton.Button2:
                    return MessageBoxDefaultButton.Button2;
                case MessageDefaultButton.Button3:
                    return MessageBoxDefaultButton.Button3;
                default:
                    return MessageBoxDefaultButton.Button1;
            }

        }
    }
}
