﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IrisGenerator.Framework.Messaging;


namespace IrisGenerator.Framework.RuleEngine
{

    public abstract class RuleBase<T>:MessageSender<T>
    {

        protected T LinkedObject { get; private set; }

        protected RuleBase(T linkedObject)
        {
            this.LinkedObject = linkedObject;
        }
    }
}
