namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class Formater : IDisposable {
        
        private DataAccess _dataAccess;
        
        public Formater() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet FORMATER_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet FORMATER_Select_One(System.Nullable<System.Guid> FOR_ID) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_Select_One");
            this._dataAccess.AddParameter("FOR_ID", FOR_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> FORMATER_Insert(string FOR_NAME, string FOR_DESCRIPTION) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_Insert");
            this._dataAccess.AddParameter("FOR_NAME", FOR_NAME, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_DESCRIPTION", FOR_DESCRIPTION, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> FORMATER_Delete(System.Nullable<System.Guid> FOR_ID) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_Delete");
            this._dataAccess.AddParameter("FOR_ID", FOR_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> FORMATER_Update(System.Nullable<System.Guid> FOR_ID, string FOR_NAME, string FOR_DESCRIPTION) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_Update");
            this._dataAccess.AddParameter("FOR_ID", FOR_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_NAME", FOR_NAME, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_DESCRIPTION", FOR_DESCRIPTION, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
