namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class FormaterReplacementChars : IDisposable {
        
        private DataAccess _dataAccess;
        
        public FormaterReplacementChars() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet Select_FORMATER_REPLACEMENT_CHARS_By_FOR_CON_CONFIG_KEY(string FOR_CON_CONFIG_KEY) {
            this._dataAccess.CreateProcedureCommand("sp_Select_FORMATER_REPLACEMENT_CHARS_By_FOR_CON_CONFIG_KEY");
            this._dataAccess.AddParameter("FOR_CON_CONFIG_KEY", FOR_CON_CONFIG_KEY, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet Select_FORMATER_REPLACEMENT_CHARS_By_REP_CHA_ID(System.Nullable<System.Guid> REP_CHA_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_FORMATER_REPLACEMENT_CHARS_By_REP_CHA_ID");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet FORMATER_REPLACEMENT_CHARS_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_REPLACEMENT_CHARS_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet FORMATER_REPLACEMENT_CHARS_Select_One(System.Nullable<System.Guid> REP_CHA_ID, string FOR_CON_CONFIG_KEY) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_REPLACEMENT_CHARS_Select_One");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_CON_CONFIG_KEY", FOR_CON_CONFIG_KEY, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<int> FORMATER_REPLACEMENT_CHARS_Insert(System.Nullable<System.Guid> REP_CHA_ID, string FOR_CON_CONFIG_KEY) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_REPLACEMENT_CHARS_Insert");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_CON_CONFIG_KEY", FOR_CON_CONFIG_KEY, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> FORMATER_REPLACEMENT_CHARS_Delete(System.Nullable<System.Guid> REP_CHA_ID, string FOR_CON_CONFIG_KEY) {
            this._dataAccess.CreateProcedureCommand("sp_FORMATER_REPLACEMENT_CHARS_Delete");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_CON_CONFIG_KEY", FOR_CON_CONFIG_KEY, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
