namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class ModuleParameterInstance : IDisposable {
        
        private DataAccess _dataAccess;
        
        public ModuleParameterInstance() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet Select_MODULE_PARAMETER_INSTANCE_By_MOD_INS_ID(System.Nullable<System.Guid> MOD_INS_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_MODULE_PARAMETER_INSTANCEs_By_MOD_INS_ID");
            this._dataAccess.AddParameter("MOD_INS_ID", MOD_INS_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet Select_MODULE_PARAMETER_INSTANCE_By_MOD_PAR_ID(System.Nullable<System.Guid> MOD_PAR_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_MODULE_PARAMETER_INSTANCE_By_MOD_PAR_ID");
            this._dataAccess.AddParameter("MOD_PAR_ID", MOD_PAR_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet MODULE_PARAMETER_INSTANCE_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_MODULE_PARAMETER_INSTANCE_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet MODULE_PARAMETER_INSTANCE_Select_One(System.Nullable<System.Guid> MOD_PAR_INS_ID) {
            this._dataAccess.CreateProcedureCommand("sp_MODULE_PARAMETER_INSTANCE_Select_One");
            this._dataAccess.AddParameter("MOD_PAR_INS_ID", MOD_PAR_INS_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> MODULE_PARAMETER_INSTANCE_Insert(System.Nullable<System.Guid> MOD_INS_ID, System.Nullable<System.Guid> MOD_PAR_ID, System.Nullable<System.Guid> MOD_PAR_INS_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_MODULE_PARAMETER_INSTANCE_Insert");
            this._dataAccess.AddParameter("MOD_INS_ID", MOD_INS_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_PAR_ID", MOD_PAR_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_PAR_INS_VALUE", MOD_PAR_INS_VALUE, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> MODULE_PARAMETER_INSTANCE_Delete(System.Nullable<System.Guid> MOD_PAR_INS_ID) {
            this._dataAccess.CreateProcedureCommand("sp_MODULE_PARAMETER_INSTANCE_Delete");
            this._dataAccess.AddParameter("MOD_PAR_INS_ID", MOD_PAR_INS_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> MODULE_PARAMETER_INSTANCE_Update(System.Nullable<System.Guid> MOD_PAR_INS_ID, System.Nullable<System.Guid> MOD_INS_ID, System.Nullable<System.Guid> MOD_PAR_ID, System.Nullable<System.Guid> MOD_PAR_INS_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_MODULE_PARAMETER_INSTANCE_Update");
            this._dataAccess.AddParameter("MOD_PAR_INS_ID", MOD_PAR_INS_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_INS_ID", MOD_INS_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_PAR_ID", MOD_PAR_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_PAR_INS_VALUE", MOD_PAR_INS_VALUE, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
