namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class Option : IDisposable {
        
        private DataAccess _dataAccess;
        
        public Option() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet Select_OPTION_By_FOR_ID(System.Nullable<System.Guid> FOR_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_OPTION_By_FOR_ID");
            this._dataAccess.AddParameter("FOR_ID", FOR_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet Select_OPTION_By_MOD_ID(System.Nullable<System.Guid> MOD_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_OPTION_By_MOD_ID");
            this._dataAccess.AddParameter("MOD_ID", MOD_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet Select_OPTION_By_VAL_TYP_ID(System.Nullable<System.Guid> VAL_TYP_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_OPTION_By_VAL_TYP_ID");
            this._dataAccess.AddParameter("VAL_TYP_ID", VAL_TYP_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet OPTION_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet OPTION_Select_One(System.Nullable<System.Guid> OPT_ID) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_Select_One");
            this._dataAccess.AddParameter("OPT_ID", OPT_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> OPTION_Insert(System.Nullable<System.Guid> MOD_ID, System.Nullable<System.Guid> FOR_ID, System.Nullable<System.Guid> VAL_TYP_ID, string OPT_CODE, string OPT_DESCRIPTION) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_Insert");
            this._dataAccess.AddParameter("MOD_ID", MOD_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_ID", FOR_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("VAL_TYP_ID", VAL_TYP_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_CODE", OPT_CODE, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_DESCRIPTION", OPT_DESCRIPTION, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> OPTION_Delete(System.Nullable<System.Guid> OPT_ID) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_Delete");
            this._dataAccess.AddParameter("OPT_ID", OPT_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> OPTION_Update(System.Nullable<System.Guid> OPT_ID, System.Nullable<System.Guid> MOD_ID, System.Nullable<System.Guid> FOR_ID, System.Nullable<System.Guid> VAL_TYP_ID, string OPT_CODE, string OPT_DESCRIPTION) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_Update");
            this._dataAccess.AddParameter("OPT_ID", OPT_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_ID", MOD_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("FOR_ID", FOR_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("VAL_TYP_ID", VAL_TYP_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_CODE", OPT_CODE, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_DESCRIPTION", OPT_DESCRIPTION, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
