namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class OptionInstance : IDisposable {
        
        private DataAccess _dataAccess;
        
        public OptionInstance() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet Select_OPTION_INSTANCE_By_MOD_INS_ID(System.Nullable<System.Guid> MOD_INS_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_OPTION_INSTANCE_By_MOD_INS_ID");
            this._dataAccess.AddParameter("MOD_INS_ID", MOD_INS_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet Select_OPTION_INSTANCE_By_OPT_ID(System.Nullable<System.Guid> OPT_ID) {
            this._dataAccess.CreateProcedureCommand("sp_Select_OPTION_INSTANCE_By_OPT_ID");
            this._dataAccess.AddParameter("OPT_ID", OPT_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet OPTION_INSTANCE_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_INSTANCE_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet OPTION_INSTANCE_Select_One(System.Nullable<System.Guid> OPT_INS_ID) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_INSTANCE_Select_One");
            this._dataAccess.AddParameter("OPT_INS_ID", OPT_INS_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> OPTION_INSTANCE_Insert(System.Nullable<System.Guid> OPT_ID, System.Nullable<System.Guid> MOD_INS_ID, System.Nullable<System.Guid> OPT_INS_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_INSTANCE_Insert");
            this._dataAccess.AddParameter("OPT_ID", OPT_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_INS_ID", MOD_INS_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_INS_VALUE", OPT_INS_VALUE, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> OPTION_INSTANCE_Delete(System.Nullable<System.Guid> OPT_INS_ID) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_INSTANCE_Delete");
            this._dataAccess.AddParameter("OPT_INS_ID", OPT_INS_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> OPTION_INSTANCE_Update(System.Nullable<System.Guid> OPT_INS_ID, System.Nullable<System.Guid> OPT_ID, System.Nullable<System.Guid> MOD_INS_ID, System.Nullable<System.Guid> OPT_INS_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_OPTION_INSTANCE_Update");
            this._dataAccess.AddParameter("OPT_INS_ID", OPT_INS_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_ID", OPT_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("MOD_INS_ID", MOD_INS_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("OPT_INS_VALUE", OPT_INS_VALUE, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
