namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class ReplacementChars : IDisposable {
        
        private DataAccess _dataAccess;
        
        public ReplacementChars() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet REPLACEMENT_CHARS_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_REPLACEMENT_CHARS_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet REPLACEMENT_CHARS_Select_One(System.Nullable<System.Guid> REP_CHA_ID) {
            this._dataAccess.CreateProcedureCommand("sp_REPLACEMENT_CHARS_Select_One");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> REPLACEMENT_CHARS_Insert(string REP_CHA_ORIGINAL, string REP_CHA_REPLACE) {
            this._dataAccess.CreateProcedureCommand("sp_REPLACEMENT_CHARS_Insert");
            this._dataAccess.AddParameter("REP_CHA_ORIGINAL", REP_CHA_ORIGINAL, ParameterDirection.Input);
            this._dataAccess.AddParameter("REP_CHA_REPLACE", REP_CHA_REPLACE, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> REPLACEMENT_CHARS_Delete(System.Nullable<System.Guid> REP_CHA_ID) {
            this._dataAccess.CreateProcedureCommand("sp_REPLACEMENT_CHARS_Delete");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> REPLACEMENT_CHARS_Update(System.Nullable<System.Guid> REP_CHA_ID, string REP_CHA_ORIGINAL, string REP_CHA_REPLACE) {
            this._dataAccess.CreateProcedureCommand("sp_REPLACEMENT_CHARS_Update");
            this._dataAccess.AddParameter("REP_CHA_ID", REP_CHA_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("REP_CHA_ORIGINAL", REP_CHA_ORIGINAL, ParameterDirection.Input);
            this._dataAccess.AddParameter("REP_CHA_REPLACE", REP_CHA_REPLACE, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
