namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class StringValue : IDisposable {
        
        private DataAccess _dataAccess;
        
        public StringValue() {
            this._dataAccess = new DataAccess();
        }
        
        public virtual System.Data.DataSet STRING_VALUE_Select_All() {
            this._dataAccess.CreateProcedureCommand("sp_STRING_VALUE_Select_All");
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Data.DataSet STRING_VALUE_Select_One(System.Nullable<System.Guid> STR_VAL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_STRING_VALUE_Select_One");
            this._dataAccess.AddParameter("STR_VAL_ID", STR_VAL_ID, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }
        
        public virtual System.Nullable<System.Guid> STRING_VALUE_Insert(string STR_VAL_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_STRING_VALUE_Insert");
            this._dataAccess.AddParameter("STR_VAL_VALUE", STR_VAL_VALUE, ParameterDirection.Input);
            Guid value = ((Guid)(this._dataAccess.ExecuteScalar()));
            return value;
        }
        
        public virtual System.Nullable<int> STRING_VALUE_Delete(System.Nullable<System.Guid> STR_VAL_ID) {
            this._dataAccess.CreateProcedureCommand("sp_STRING_VALUE_Delete");
            this._dataAccess.AddParameter("STR_VAL_ID", STR_VAL_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual System.Nullable<int> STRING_VALUE_Update(System.Nullable<System.Guid> STR_VAL_ID, string STR_VAL_VALUE) {
            this._dataAccess.CreateProcedureCommand("sp_STRING_VALUE_Update");
            this._dataAccess.AddParameter("STR_VAL_ID", STR_VAL_ID, ParameterDirection.Input);
            this._dataAccess.AddParameter("STR_VAL_VALUE", STR_VAL_VALUE, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
        
        public virtual void Dispose() {
            if ((this._dataAccess != null)) {
                this._dataAccess.Dispose();
            }
        }
    }
}
