namespace IrisGenerator.Dal {
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class Target : IDisposable {
        public virtual System.Data.DataSet TARGET_SelectByCode(string TAR_CODE)
        {
            this._dataAccess.CreateProcedureCommand("sp_Target_SelectFromCode");
            this._dataAccess.AddParameter("TAR_CODE", TAR_CODE, ParameterDirection.Input);
            DataSet value = this._dataAccess.ExecuteDataSet();
            return value;
        }

        public virtual System.Nullable<int> TARGET_InitEquivalences(System.Nullable<System.Guid> TAR_ID)
        {
            this._dataAccess.CreateProcedureCommand("sp_Target_InitEquivalences");
            this._dataAccess.AddParameter("TAR_ID", TAR_ID, ParameterDirection.Input);
            int value = this._dataAccess.ExecuteNonQuery();
            return value;
        }
    }
}
