namespace IrisGenerator.Common.DatabaseModel.DataAccess
{
    using System;
    using System.Collections.Generic;
    using System.Data.SqlClient;
    using System.Configuration;
    using System.Data;
    using System.Xml;
    
    
    public partial class Table : IDisposable {
        public object SelectTableFromNameAndOwner(string tableName, string ownerName)
        {
            this._dataAccess.CreateProcedureCommand("SelectTableFromNameAndOwner");
            this._dataAccess.AddParameter("tableName", tableName, ParameterDirection.Input);
            this._dataAccess.AddParameter("ownerName", ownerName, ParameterDirection.Input);
            object value = this._dataAccess.ExecuteScalar();
            return value;
        }
    }
}
