namespace IrisGenerator.Common.DatabaseModel {
    using System.Collections.ObjectModel;
    
    
    public partial class ColumnCollection : Collection<Column> {
        public Column Exists(Column column)
        {
            if (this.Count.Equals(0))
                return null;

            foreach (Column c in this)
            {
                if (c.Equals(column))
                    return c;
            }

            return null;
        }
    }
}
