﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Common.Core
{
    public class KeyValueObject<TKey,TValue>
    {
        public TKey Key { get; set; }
        public TValue Value { get; set; }

        public KeyValueObject(TKey key, TValue value)
        {
            this.Value = value;
            this.Key = key;
        }

        public KeyValueObject() { }
    }
}
