﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Common.Modules
{
    [global::System.AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class ModuleVersionAttribute : Attribute
    {
        

        public ModuleVersionAttribute(int major,int minor)
        {
            this.Version = new Version(major,minor);
        }

        public Version Version { get; private set; }

    }
}
