﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using IrisGenerator.Common.Core;
using IrisGenerator.Common.Core.UI;
using IrisGenerator.Framework.Reflection;
using IrisGenerator.Framework.UI.Controls;

namespace IrisGenerator.Common.UI.Controls.ComboBoxes
{
    public class TargetDropDown:BindableComboBox
    {
        private string _displayMember = "TargetCode";
        private string _valueMember = "TargetId";

        public TargetDropDown()
            : base()
        {

            this.DropDownStyle = ComboBoxStyle.DropDownList;

            this.SourceMethod = new MethodCall();
            this.SourceMethod.TypeName = "IrisGenerator.Common.Core.Target";
            this.SourceMethod.MethodName = "GetAll";

            this.DisplayMember = "TarCode";
            this.ValueMember = "TarId";
            
        }
    }
}
