﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using IrisGenerator.Common.Core.Projects;
using IrisGenerator.Framework.UI.Controls;

namespace IrisGenerator.Common.UI.Controls.Menus
{
    public class ProjectToolStripMenuItem:BindableToolStripMenuItem<Project>
    {
        public ProjectToolStripMenuItem()
            : base()
        {
            this.SourceMethod = new IrisGenerator.Framework.Reflection.MethodCall();
            this.SourceMethod.MethodName = "GetAll";
            this.SourceMethod.TypeName = "IrisGenerator.Common.Core.Projects.Project";
            this.TextDataProperty = "ProName";
            this.LoadSource();
        }
    }
}
