﻿IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'SelectTableFromNameAndOwner')
	BEGIN
		DROP  Procedure  SelectTableFromNameAndOwner
	END

GO

CREATE Procedure SelectTableFromNameAndOwner

	(
		@tableName varchar(max),
		@ownerName varchar(max)
	)


AS
BEGIN
Select	TAB_ID from [TABLE]
Where	TAB_NAME=@tableName and
		TAB_OWNER=@ownerName
END

GO