﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Framework.Events
{
    public class ProgressEventArgs<T>:BaseEventArgs<T>
    {
        public int Value { get; set; }
        public string Message { get; protected set; }

        public ProgressEventArgs(T obj, int progressValue, string message)
            : this(obj, progressValue)
        {
            this.Message = message;
        }

        public ProgressEventArgs(T obj, int progressValue):base(obj,false)
        {
            this.Argument = obj;
            this.Value = progressValue;
        }
    }
}
