﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Framework.Messaging
{
    public class MessageEventArgs<T>:EventArgs
    {
        public MessageEventArgs(T source,Message message)
            : base()
        {
            this.Message = message;
            this.Source=source;
        }

        public T Source { get; private set; }
        public Message Message { get; private set; }

    }
}
