﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IrisGenerator.Framework.RuleEngine
{
    public enum RuleErrorType
    {
        PropertyRule = 1,
        BusinessRule = 2
    }

    public class RuleError
    {
        public RuleErrorType ErrorType { get; set; }
        public string Message { get; set; }
        public string Name { get; set; }

        public RuleError(string name,RuleErrorType errorType, string message)
        {
            this.ErrorType = errorType;
            this.Message = message;
            this.Name = name;
        }
    }
}
